using Microsoft.AspNetCore.Components.Web;
using Microsoft.AspNetCore.Components.WebAssembly.Hosting;
using OnProfNext.Client;
using OnProfNext.Client.Services;
using Microsoft.Extensions.Http; 
using System.Net.Http; 

var builder = WebAssemblyHostBuilder.CreateDefault(args);
builder.RootComponents.Add<App>("#app");
builder.RootComponents.Add<HeadOutlet>("head::after");

builder.Services.AddScoped<UserApiService>();

builder.Services.AddHttpClient<UserApiService>(client =>
{
    client.BaseAddress = new Uri("https://localhost:7271/"); 
});

await builder.Build().RunAsync();
